org.omg.CosNaming.NamingContextPackage

## Class NotEmpty

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CosNaming.NamingContextPackage.NotEmpty

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class NotEmpty
    extends UserException

org/omg/CosNaming/NamingContextPackage/NotEmpty.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-RL54ef/openjdk-8-8u504-ga~us1/src/corba/src/share/classes/org/omg/CosNaming/nameservice.idl Thursday, August 27, 2026 9:13:19 PM UTC

### Constructor Summary

Constructors
Constructor and Description
`NotEmpty()`
`NotEmpty(String $reason)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotEmpty

    public NotEmpty()

#### NotEmpty

    public NotEmpty(String $reason)